develooper Front page | perl.perl5.porters | Postings from February 2008

[ANNOUNCE] ExtUtils::MakeMaker 6.44

Thread Next
From:
Michael G Schwern
Date:
February 28, 2008 16:20
Subject:
[ANNOUNCE] ExtUtils::MakeMaker 6.44
Message ID:
47C74FC3.60300@pobox.com
This is a release of 6.43_01 with ExtUtils::Install updated to 1.45.
http://schwern.org/~schwern/src/ExtUtils-MakeMaker-6.44.tar.gz

OS X users will be happy to know the issues with Apple's "special" tar has 
been fixed, no more ._Foo files.

Win32 pugs developers should note that a long standing issue with long 
commands has been fixed.

MakeMaker will now install on a fresh 5.6.

A note to p5p, I haven't incorporated the ABSPERL whitespace patch.  I'm 
afraid it might cause problems.  I'm looking into a more general solution for 
whitespace in paths.  Feel free to reapply the bleadperl patches.


6.44  Thu Feb 28 16:06:04 PST 2008
     Bug Fixes
     * Updated bundled ExtUtils::Install to 1.45 which should fix some
       Cygwin issues. [rt.cpan.org 33291]


6.43_01  Tue Jan  1 16:06:47 PST 2008
     Bug Fixes
     * Change the "is this really a Perl core library directory" checks to
       look for strict instead of Exporter.  Now that Exporter is on CPAN
       it can wind up in site_perl.
     * split_command() will now set aside a little more space for macro
       expansion.  This should help on systems with cramped command line
       lengths.  Specifically, Pugs on Win32.  [rt.cpan.org 20145]

     Installation
     * MakeMaker would not install if the installed MakeMaker was too old,
       like on 5.6.1.  The installation process was still using the
       installed MakeMaker in a few places.  This has been fixed.
       [rt.cpan.org 24746]

     OS X
     * "make dist" will no longer bundle up resource fork files (._foo).
       [rt.cpan.org 29525]

     Docs
     * The documentation of VERSION_FROM was recommending vstrings (1.2.3)
       which have never worked right.
     * The documentation for the accepted values of LICENSE moved to
       Module::Build::API. [rt.cpan.org 32020]

     Tests
     * The compilation test was testing the installed modules, not the
       about-to-be-installed.
     * xs.t would fail if ExtUtils::CBuilder was not installed.

     Misc
     * Cleanups brought to you by no more 5.5 compatibility!
     * MakeMaker is now perlcritic clean at severity level 5... except
       the really silly ones.
     * DIE use vars DIE!
     * Added some resources to the META.yml



-- 
The past has a vote, but not a veto.
     -- Mordecai M. Kaplan


Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About